﻿using AutoMapper;
using Performance.EntityModels;
using System;
using System.Collections.Generic;
using System.Text;

namespace Performance.DtoModels.AutoMapper
{
    public class AutoMapperConfigs : Profile
    {
        public AutoMapperConfigs()
        {
            CreateMap<LoginResponse, Sys_User>()
                .ForMember(dest => dest.ID, opt => opt.MapFrom(src => src.UserID));
            CreateMap<Sys_User, LoginResponse>()
                .ForMember(dest => dest.UserID, opt => opt.MapFrom(src => src.ID));
        }
    }
}
