﻿using Microsoft.AspNetCore.Mvc;
using Newtonsoft.Json.Linq;
using Performance.DtoModels;
using Performance.Infrastructure;
using Performance.Services;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Performance.Api.Controllers
{
    [Route("api/[controller]/[action]")]
    public class AccountController : Controller
    {
        UserService _userService;
        public AccountController(UserService userService)
        {
            _userService = userService;
        }

        [HttpPost]
        public ApiResponse<LoginResponse> Login([FromBody]LoginRequest request)
        {
            return _userService.Login(request);
        }
    }
}
